package es.uva.davplov.tfg_patronlibre;



import android.app.Activity;
import android.content.Intent;
import android.content.SharedPreferences;

import android.os.Bundle;
import android.preference.PreferenceManager;

import android.view.Menu;
import android.view.MenuItem;

import android.widget.ImageView;
import android.widget.TextView;
import android.widget.Toast;


/**
 * The Class FirmaActivity.
 */
public class Results extends Activity {
	
	
	private ImageView nivelAlto, nivelMedio, nivelBajo;
    private Float umbral,umbralAlto,umbralMedio,umbralBajo;
    private SharedPreferences pref;
    private Activity actualActivity;
    
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_results);
        actualActivity=this;
        nivelAlto= (ImageView) findViewById(R.id.imagenAlto);
        nivelMedio= (ImageView) findViewById(R.id.imagenMedio);
        nivelBajo= (ImageView) findViewById(R.id.imagenBajo);
    
        
        pref = PreferenceManager.getDefaultSharedPreferences(this);
        umbralAlto = pref.getFloat(Constants.UMBRALALTO, 0);
        umbralMedio = pref.getFloat(Constants.UMBRALMEDIO, 0);
        umbralBajo = pref.getFloat(Constants.UMBRALBAJO, 0);
        umbral = pref.getFloat(Constants.UMBRALPATRON, 0);
        
       
        if (umbral==0){
        	Toast.makeText(actualActivity, "Error: La muestra introducida es exactamente igual a una de " +
        			"las muestras del patrn", 1).show();
        }
      
        if (umbral<=umbralAlto){
        	
        	nivelAlto.setImageDrawable(this.getResources().getDrawable(R.drawable.ic_si));
        	
        }else{
        	
        	nivelAlto.setImageDrawable(this.getResources().getDrawable(R.drawable.ic_no));
        	
        }
        
        if (umbral<=umbralMedio){
        	
        	nivelMedio.setImageDrawable(this.getResources().getDrawable(R.drawable.ic_si));
        	
        }else{
        	
        	nivelMedio.setImageDrawable(this.getResources().getDrawable(R.drawable.ic_no));
        	
        }

        if (umbral<=umbralBajo){
	
        	nivelBajo.setImageDrawable(this.getResources().getDrawable(R.drawable.ic_si));
        	
        }else{
        	
        	nivelBajo.setImageDrawable(this.getResources().getDrawable(R.drawable.ic_no));
	
        }
            
     }
    
    public boolean onCreateOptionsMenu(Menu menu) {
		
		getMenuInflater().inflate(R.menu.main, menu);
		return true;
	}
    
    public boolean onOptionsItemSelected(MenuItem item) {
    	SharedPreferences.Editor editor = pref.edit();
        switch (item.getItemId()) {
            case R.id.repetirPatron:
            	
            	Intent i=new Intent(this, FreePatternIncomeActivity.class);
            	
            	editor.putBoolean(Constants.TIENEPATRON, false);
            	editor.commit();

            	startActivity(i);
            	this.finish();
            	 
                return true;
                
            case R.id.segundaSesion:
            	           	            		
            		i=new Intent(actualActivity, FreePatternIncomeActivitySecondSession.class);
               	
            		editor.putBoolean(Constants.SEGUNDASESION, false);
                	editor.commit();
                	
            		startActivity(i);
            		actualActivity.finish();
            	
                return true;
            default:
                return false;
        }
    }
    
        
    }
     
	

