package srcUmbral.firmweb.util;

public class Matematicas {

	/**
	 * 
	 * @param data
	 * @return
	 */
	public static double sd(double[] data) {
		double sd = 0;
		double mean = mean(data);
		for (int i = 0; i < data.length; i++) {
			sd += (data[i] - mean) * (data[i] - mean);
		}
		sd /= data.length;
		sd = Math.sqrt(sd);
		return sd;
	}

	/**
	 * 
	 * @param distMins
	 * @return
	 */
	public static double mean(double[] data) {
		double mean = 0;
		for (int i = 0; i < data.length; i++) {
			mean += data[i];
		}
		return mean / data.length;
	}

	/**
	 * 
	 * @param dtwDists
	 * @return
	 */
	public static double[] mins(double[][] dtwDists) {

		double[] distMins = new double[dtwDists.length];
		for (int i = 0; i < distMins.length; i++) {
			double min = min(dtwDists[i]);
			distMins[i] = min;
		}
		return distMins;
	}

	/**
	 * 
	 * @param ds
	 * @return
	 */
	public static double min(double[] data) {
		double min = data[0];
		for (int i = 1; i < data.length; i++) {
			if (data[i] < min)
				min = data[i];
		}
		return min;
	}

	/**
	 * Devuelve la media estandar de una serie de datos
	 * 
	 * @param datos
	 * @param columna
	 * @return
	 */
	public static double getMean(int[][] datos, int columna) {
		double mean = 0;
		for (int i = 0; i < datos.length; i++) {
			mean += datos[i][columna];
		}
		mean /= datos.length;
		return mean;
	}

	/**
	 * Devuelve la media estandar de una serie de datos
	 * 
	 * @param datos
	 * @param columna
	 * @return
	 */
	public static double getMean(double[][] datos, int columna) {
		double mean = 0;
		for (int i = 0; i < datos.length; i++) {
			mean += datos[i][columna];
		}
		mean /= datos.length;
		return mean;
	}

	/**
	 * Devuelve la desviacion estandar de una serie de datos
	 * 
	 * @param datos
	 * @param columna
	 * @return
	 */
	public static double getDesvStd(int[][] datos, int columna) {
		double mean = getMean(datos, columna);
		double desv = 0;
		for (int i = 0; i < datos.length; i++) {
			double dato = datos[i][columna];
			desv += (dato - mean) * (dato - mean);
		}
		desv = Math.sqrt(desv / (datos.length - 1));
		return desv;
	}

	/**
	 * Devuelve la desviacion estandar de una serie de datos
	 * 
	 * @param datos
	 * @param columna
	 * @return
	 */
	public static double getDesvStd(double[][] datos, int columna) {
		double mean = getMean(datos, columna);
		double desv = 0;
		for (int i = 0; i < datos.length; i++) {
			double dato = datos[i][columna];
			desv += (dato - mean) * (dato - mean);
		}
		desv = Math.sqrt(desv / (datos.length - 1));
		return desv;
	}

}
