package srcUmbral.modelosRegresion;

/*
 * Abandono esta forma de poner los coeficientes porque es ms incomodo a la hora de pasar la forumula desde
 * statgraphics. Uso arrays que va a ser mas comodo. Esta forma tiene la ventaja de saber que es cada
 * valor...
 */

public class CoefModRegLinS1_enum {

	public enum EER_Rn {

		OrdOrig (-116.796),  //0  
		eerThreshold (7.93327), //1
		avPlns (-4.02963), //2
		sdPlns (0.463234), //3
		sdpPlns (-135.02), //4
		avCohs (1.56909), //5
		sdCohs (-3.13988), //6
		sdpCohs (280.832),  //7
		bestFor (-4.50895), //8
		worstGen (0.0), //9
		eerLow (0.0), //10
		eerUpp (0.0), //11
		perc25Plns (0.0), //12
		perc50Plns (0.0), //13
		perc75Plns (0.0), //14
		perc25cohs (-0.618183), //15
		perc50cohs (-0.158377), //16
		perc75cohs (0.764641); //17

		private double valor =0.0;

		EER_Rn (double valor) {
			this.valor = valor;
		}

		public double coef () {
			return valor;
		}

	}

	public enum EER_Sk {

		OrdOrig (-23.2754), //0  
		eerThreshold (12.77), //1
		avPlns (-5.76484), //2
		sdPlns (-1.3545), //3
		sdpPlns (-129.927), //4
		avCohs (3.81668), //5
		sdCohs (-2.54841), //6
		sdpCohs (34.8262),  //7
		bestFor (-6.83007), //8
		worstGen (0.0), //9
		eerLow (0.0), //10
		eerUpp (0.0), //11
		perc25Plns (0.0), //12
		perc50Plns (0.0), //13
		perc75Plns (0.0), //14
		perc25cohs (-2.14522), //15
		perc50cohs (-0.997609), //16
		perc75cohs (0.0280783); //17

		private double valor =0.0;

		EER_Sk (double valor) {
			this.valor = valor;
		}

		public double coef () {
			return valor;
		}

	}

}
